View Issue Details

IDProjectCategoryView StatusLast Update
0006891Talermerchant backend API (HTTP specification)public2021-08-24 16:22
Reportersebasjm Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006891: more information about reserve not yet funded
DescriptionWhen the reserve is confirmed but not yet funded there is not way to get information on how to funded.

It will be nice to add this information into

interface ReserveDetail {
  ... all the current fields
  
  // nice to have: who is going to get the wire transfer
  exchange_url: string,
  
  // where the wire should be destinated
  payto_uri: string
  
  // Public key identifying the reserve, to tell the merchant to use it in the wire transfer
  reserve_pub: EddsaPublicKey;
}

Some of this information is in interface ReserveCreateConfirmation, except for exchange_url.

A status field can be added but this information can be inferred from

type ReserveDetail = ReserveDetailEmpty | ReserveDetailFunded

interface ReserveDetailEmpty {
  status: "empty";
  ... (current fields from definition above)
}

interface ReserveDetailFunded {
  status: "funded";
  ... (current fields from ReserveDetail)
}
TagsNo tags attached.

Activities

Christian Grothoff

2021-05-27 12:15

manager   ~0017916

The 'reserve_pub' should NOT be returned, as you have that already: it was the $ID used in the GET request, so returning it in the body would be strictly redundant. 00c31d1..dc4f949 updates the API spec (docs.git) with the new optional (!) fields 'payto_uri' and 'exchange_url'.

Christian Grothoff

2021-05-27 12:21

manager   ~0017917

Implemented in 72e50cb..5dea2c7

ttn

2021-05-27 21:06

developer   ~0017922

Re-opening this because "make check" now fails in the test compilation phase (specifically,
file test_merchantdb.c shows several errors). In an attempt to address these, i created and
pushed two commits on new branch 'dev/ttn/continue-6891'.

With these changes, "make check" compiles test_merchantdb.o without error, but the
"make check" itself segfaults. Log attached.

BTW, these changes represent my best-guess effort -- PTAL and correct them fully
and i will be glad to merge them at that time into branch 'master'.

ttn

2021-05-27 21:07

developer   ~0017923

.ttn.merchant-make-check.log (4,593 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/merchant/" -*-
Compilation started at Thu May 27 20:56:48

make check PGHOST=$HOME/pg TMPDIR=$HOME/tmp PATH=$HOME/t/bin:$PATH
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Making check in .
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant'
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant'
Making check in src
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
Making check in include
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/include'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/include'
Making check in mustach
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  test_mustach_jansson run-original-tests.sh
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
  CC       test_mustach_jansson.o
  CCLD     test_mustach_jansson
make[3]: Nothing to be done for 'run-original-tests.sh'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
SKIP: run-original-tests.sh
PASS: test_mustach_jansson
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 2
# PASS:  1
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
Making check in backenddb
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  test-merchantdb-postgres
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
  CC       test_merchantdb.o
  CCLD     test-merchantdb-postgres
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
../../test-driver: line 109: 797143 Segmentation fault      (core dumped) "$@" > $log_file 2>&1
FAIL: test-merchantdb-postgres
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/backenddb/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[4]: *** [Makefile:956: test-suite.log] Error 1
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[3]: *** [Makefile:1064: check-TESTS] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[2]: *** [Makefile:1138: check-am] Error 2
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[1]: *** [Makefile:411: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
make: *** [Makefile:472: check-recursive] Error 1

Compilation exited abnormally with code 2 at Thu May 27 20:56:58
.ttn.merchant-make-check.log (4,593 bytes)   

ttn

2021-05-27 21:10

developer   ~0017924

For your convenience, here is a link to the new branch in the merchant.git repo:
https://git.taler.net/merchant.git/log/?h=dev/ttn/continue-6891

Christian Grothoff

2021-05-27 23:00

manager   ~0017925

ttn: this is the kind of patch you should just directly put into master. Please merge ;-).

ttn

2021-05-28 07:46

developer   ~0017926

Thanks for the feedback. I have merged it (after squashing) as commit c25419a17238ce074979f6a69b2b6de55020a930.

As before, "make check" builds the required programs successfully, but segfaults when running them. Logs attached.
.ttn.merchant-make-check-2.log (4,594 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/merchant/" -*-
Compilation started at Fri May 28 07:37:59

make check PGHOST=$HOME/pg TMPDIR=$HOME/tmp PATH=$HOME/t/bin:$PATH
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Making check in .
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant'
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant'
Making check in src
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
Making check in include
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/include'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/include'
Making check in mustach
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  test_mustach_jansson run-original-tests.sh
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
  CC       test_mustach_jansson.o
  CCLD     test_mustach_jansson
make[3]: Nothing to be done for 'run-original-tests.sh'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
SKIP: run-original-tests.sh
PASS: test_mustach_jansson
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 2
# PASS:  1
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
Making check in backenddb
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  test-merchantdb-postgres
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
  CC       test_merchantdb.o
  CCLD     test-merchantdb-postgres
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
../../test-driver: line 109: 1292230 Segmentation fault      (core dumped) "$@" > $log_file 2>&1
FAIL: test-merchantdb-postgres
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/backenddb/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[4]: *** [Makefile:956: test-suite.log] Error 1
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[3]: *** [Makefile:1064: check-TESTS] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[2]: *** [Makefile:1138: check-am] Error 2
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[1]: *** [Makefile:411: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
make: *** [Makefile:472: check-recursive] Error 1

Compilation exited abnormally with code 2 at Fri May 28 07:38:10
.ttn.merchant-make-check-2.log (4,594 bytes)   
test-suite.log (3,724 bytes)   
========================================================
   taler-merchant 0.8.0: src/backenddb/test-suite.log
========================================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test-merchantdb-postgres
==============================

May 28 07:38:03-165370 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Loading SQL resources from `/home/ttn/t/share/taler//sql/merchant/drop'
May 28 07:38:03-169937 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Applying SQL file `/home/ttn/t/share/taler//sql/merchant/drop0001.sql' on database postgres:///talercheck
May 28 07:38:03-378059 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Applying SQL file `/home/ttn/t/share/taler//sql/merchant/drop0002.sql' on database postgres:///talercheck
May 28 07:38:03-463755 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Loading SQL resources from `/home/ttn/t/share/taler//sql/merchant/merchant-'
May 28 07:38:03-464487 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Applying SQL file `/home/ttn/t/share/taler//sql/merchant/merchant-0001.sql' on database postgres:///talercheck
May 28 07:38:08-406079 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Applying SQL file `/home/ttn/t/share/taler//sql/merchant/merchant-0002.sql' on database postgres:///talercheck
May 28 07:38:09-419230 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Storing wire fee for 9XNA0KHC starting at Fri May 28 07:38:09 2021 of EUR:0.49
May 28 07:38:09-436978 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Storing wire fee for 9XNA0KHC starting at Fri May 28 07:38:09 2021 of EUR:0.49
May 28 07:38:09-437639 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Storing wire fee for 9XNA0KHC starting at Fri May 28 07:38:09 2021 of EUR:0.49
May 28 07:38:09-717699 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Starting merchant DB transaction insert transfer details (READ COMMITTED)
May 28 07:38:09-721512 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Committing merchant DB transaction insert transfer details
May 28 07:38:10-070451 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Starting merchant DB transaction `insert reserve'
May 28 07:38:10-073028 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Committing merchant DB transaction insert reserve
May 28 07:38:10-120808 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Starting merchant DB transaction `enable tip reserve'
May 28 07:38:10-122922 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Committing merchant DB transaction enable tip reserve
May 28 07:38:10-287092 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Starting merchant DB transaction `enable tip reserve'
May 28 07:38:10-287617 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Rolling back merchant DB transaction `enable tip reserve'
May 28 07:38:10-288831 /home/ttn/build/GNU/T/merchant/src/backenddb/.libs/test-merchantdb-postgres-1292230 INFO Starting merchant DB transaction `insert reserve'
FAIL test-merchantdb-postgres (exit status: 139)

test-suite.log (3,724 bytes)   

Christian Grothoff

2021-05-28 09:35

manager   ~0017927

Did you run 'make install' first? That is required when we do things like changing the DB plugin...

ttn

2021-05-28 10:35

developer   ~0017928

Yes, i always do "make install" before doing "make check".
Please find attached the "make install" log, which i have verified to have a timestamp
prior to that of the "make check" log.
.ttn.merchant-make-install.log (17,720 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/merchant/" -*-
Compilation started at Fri May 28 07:37:42

make install
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Making install in .
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant'
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant'
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant'
Making install in src
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
Making install in include
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/include'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/include'
make[3]: Nothing to be done for 'install-exec-am'.
 /bin/mkdir -p '/home/ttn/t/include/taler'
 /usr/bin/install -c -m 644 taler_merchantdb_lib.h taler_merchantdb_plugin.h taler_merchant_service.h taler_merchant_testing_lib.h '/home/ttn/t/include/taler'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/include'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/include'
Making install in mustach
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
 /bin/mkdir -p '/home/ttn/t/lib'
 /usr/bin/install -c -m 644  libmustach.a '/home/ttn/t/lib'
 ( cd '/home/ttn/t/lib' && ranlib libmustach.a )
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
Making install in backenddb
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
 /bin/mkdir -p '/home/ttn/t/lib'
 /bin/bash ../../libtool   --mode=install /usr/bin/install -c   libtalermerchantdb.la '/home/ttn/t/lib'
libtool: install: /usr/bin/install -c .libs/libtalermerchantdb.so.2.0.0 /home/ttn/t/lib/libtalermerchantdb.so.2.0.0
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchantdb.so.2.0.0 libtalermerchantdb.so.2 || { rm -f libtalermerchantdb.so.2 && ln -s libtalermerchantdb.so.2.0.0 libtalermerchantdb.so.2; }; })
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchantdb.so.2.0.0 libtalermerchantdb.so || { rm -f libtalermerchantdb.so && ln -s libtalermerchantdb.so.2.0.0 libtalermerchantdb.so; }; })
libtool: install: /usr/bin/install -c .libs/libtalermerchantdb.lai /home/ttn/t/lib/libtalermerchantdb.la
libtool: finish: PATH="/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin" ldconfig -n /home/ttn/t/lib
----------------------------------------------------------------------
Libraries have been installed in:
   /home/ttn/t/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the '-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the 'LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the 'LD_RUN_PATH' environment variable
     during linking
   - use the '-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to '/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
 /bin/mkdir -p '/home/ttn/t/share/taler/config.d/'
 /usr/bin/install -c -m 644 merchantdb-postgres.conf '/home/ttn/t/share/taler/config.d/'
 /bin/mkdir -p '/home/ttn/t/lib/taler'
 /bin/bash ../../libtool   --mode=install /usr/bin/install -c   libtaler_plugin_merchantdb_postgres.la '/home/ttn/t/lib/taler'
libtool: install: /usr/bin/install -c .libs/libtaler_plugin_merchantdb_postgres.so /home/ttn/t/lib/taler/libtaler_plugin_merchantdb_postgres.so
libtool: install: /usr/bin/install -c .libs/libtaler_plugin_merchantdb_postgres.lai /home/ttn/t/lib/taler/libtaler_plugin_merchantdb_postgres.la
libtool: finish: PATH="/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin" ldconfig -n /home/ttn/t/lib/taler
----------------------------------------------------------------------
Libraries have been installed in:
   /home/ttn/t/lib/taler

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the '-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the 'LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the 'LD_RUN_PATH' environment variable
     during linking
   - use the '-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to '/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
 /bin/mkdir -p '/home/ttn/t/share/taler/sql/merchant/'
 /usr/bin/install -c -m 644 merchant-0000.sql merchant-0001.sql merchant-0002.sql drop0001.sql drop0002.sql '/home/ttn/t/share/taler/sql/merchant/'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
Making install in backend
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backend'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backend'
 /bin/mkdir -p '/home/ttn/t/bin'
  /bin/bash ../../libtool   --mode=install /usr/bin/install -c taler-merchant-httpd '/home/ttn/t/bin'
libtool: install: /usr/bin/install -c .libs/taler-merchant-httpd /home/ttn/t/bin/taler-merchant-httpd
 /bin/mkdir -p '/home/ttn/t/share/taler/config.d/'
 /usr/bin/install -c -m 644 kudos.conf merchant.conf '/home/ttn/t/share/taler/config.d/'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backend'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backend'
Making install in lib
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
 /bin/mkdir -p '/home/ttn/t/lib'
 /bin/bash ../../libtool   --mode=install /usr/bin/install -c   libtalermerchant.la '/home/ttn/t/lib'
libtool: install: /usr/bin/install -c .libs/libtalermerchant.so.2.0.0 /home/ttn/t/lib/libtalermerchant.so.2.0.0
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchant.so.2.0.0 libtalermerchant.so.2 || { rm -f libtalermerchant.so.2 && ln -s libtalermerchant.so.2.0.0 libtalermerchant.so.2; }; })
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchant.so.2.0.0 libtalermerchant.so || { rm -f libtalermerchant.so && ln -s libtalermerchant.so.2.0.0 libtalermerchant.so; }; })
libtool: install: /usr/bin/install -c .libs/libtalermerchant.lai /home/ttn/t/lib/libtalermerchant.la
libtool: finish: PATH="/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin" ldconfig -n /home/ttn/t/lib
----------------------------------------------------------------------
Libraries have been installed in:
   /home/ttn/t/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the '-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the 'LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the 'LD_RUN_PATH' environment variable
     during linking
   - use the '-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to '/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
Making install in testing
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
 /bin/mkdir -p '/home/ttn/t/lib'
 /bin/bash ../../libtool   --mode=install /usr/bin/install -c   libtalermerchanttesting.la '/home/ttn/t/lib'
libtool: warning: relinking 'libtalermerchanttesting.la'
libtool: install: (cd /home/ttn/build/GNU/T/merchant/src/testing; /bin/bash "/home/ttn/build/GNU/T/merchant/libtool"  --silent --tag CC --mode=relink gcc -Wall -Wno-address-of-packed-member -g -O2 -version-info 2:0:0 -no-undefined -L/home/ttn/t/lib -L/lib -ljansson -L/home/ttn/t/lib -L/home/ttn/t/lib -L/usr/local/lib -L/usr/local/lib -o libtalermerchanttesting.la -rpath /home/ttn/t/lib testing_api_cmd_config.lo testing_api_cmd_abort_order.lo testing_api_cmd_claim_order.lo testing_api_cmd_get_instance.lo testing_api_cmd_get_instances.lo testing_api_cmd_get_orders.lo testing_api_cmd_get_product.lo testing_api_cmd_get_products.lo testing_api_cmd_get_reserve.lo testing_api_cmd_get_reserves.lo testing_api_cmd_get_tips.lo testing_api_cmd_get_transfers.lo testing_api_cmd_delete_instance.lo testing_api_cmd_delete_order.lo testing_api_cmd_delete_product.lo testing_api_cmd_delete_reserve.lo testing_api_cmd_delete_transfer.lo testing_api_cmd_forget_order.lo testing_api_cmd_lock_product.lo testing_api_cmd_instance_auth.lo testing_api_cmd_merchant_get_order.lo testing_api_cmd_merchant_get_tip.lo testing_api_cmd_pay_order.lo testing_api_cmd_post_instances.lo testing_api_cmd_post_orders_paid.lo testing_api_cmd_post_orders.lo testing_api_cmd_post_products.lo testing_api_cmd_post_reserves.lo testing_api_cmd_post_transfers.lo testing_api_cmd_patch_instance.lo testing_api_cmd_patch_product.lo testing_api_cmd_refund_order.lo testing_api_cmd_tip_authorize.lo testing_api_cmd_tip_pickup.lo testing_api_cmd_wallet_get_order.lo testing_api_cmd_wallet_get_tip.lo testing_api_cmd_wallet_post_orders_refund.lo testing_api_helpers.lo testing_api_trait_claim_nonce.lo testing_api_trait_merchant_sig.lo testing_api_trait_string.lo testing_api_trait_hash.lo testing_api_trait_planchet.lo testing_api_trait_refund_entry.lo ../../src/lib/libtalermerchant.la -ltalerbank -ltalerexchange -ltalerjson -ltalerutil -lgnunetcurl -lgnunetjson -lgnunetutil -ljansson -ltalertesting )
libtool: install: /usr/bin/install -c .libs/libtalermerchanttesting.so.2.0.0T /home/ttn/t/lib/libtalermerchanttesting.so.2.0.0
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchanttesting.so.2.0.0 libtalermerchanttesting.so.2 || { rm -f libtalermerchanttesting.so.2 && ln -s libtalermerchanttesting.so.2.0.0 libtalermerchanttesting.so.2; }; })
libtool: install: (cd /home/ttn/t/lib && { ln -s -f libtalermerchanttesting.so.2.0.0 libtalermerchanttesting.so || { rm -f libtalermerchanttesting.so && ln -s libtalermerchanttesting.so.2.0.0 libtalermerchanttesting.so; }; })
libtool: install: /usr/bin/install -c .libs/libtalermerchanttesting.lai /home/ttn/t/lib/libtalermerchanttesting.la
libtool: finish: PATH="/home/ttn/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/sbin" ldconfig -n /home/ttn/t/lib
----------------------------------------------------------------------
Libraries have been installed in:
   /home/ttn/t/lib

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the '-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the 'LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the 'LD_RUN_PATH' environment variable
     during linking
   - use the '-Wl,-rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to '/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
Making install in merchant-tools
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/merchant-tools'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/merchant-tools'
 /bin/mkdir -p '/home/ttn/t/bin'
  /bin/bash ../../libtool   --mode=install /usr/bin/install -c taler-merchant-benchmark taler-merchant-dbinit taler-merchant-setup-reserve '/home/ttn/t/bin'
libtool: install: /usr/bin/install -c .libs/taler-merchant-benchmark /home/ttn/t/bin/taler-merchant-benchmark
libtool: install: /usr/bin/install -c .libs/taler-merchant-dbinit /home/ttn/t/bin/taler-merchant-dbinit
libtool: install: /usr/bin/install -c .libs/taler-merchant-setup-reserve /home/ttn/t/bin/taler-merchant-setup-reserve
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/merchant-tools'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/merchant-tools'
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
Making install in contrib
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/contrib'
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/contrib'
make[2]: Nothing to be done for 'install-exec-am'.
 /bin/mkdir -p '/home/ttn/t/share/taler/merchant/static/'
 /usr/bin/install -c -m 644 pure-min.css '/home/ttn/t/share/taler/merchant/static/'
 /bin/mkdir -p '/home/ttn/t/share/taler/merchant/templates/'
 /usr/bin/install -c -m 644 depleted_tip.en.must offer_refund.en.must offer_tip.en.must request_payment.en.must show_order_details.en.must '/home/ttn/t/share/taler/merchant/templates/'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/contrib'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/contrib'
Making install in doc
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/doc'
Making install in .
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/doc'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/doc'
make[3]: Nothing to be done for 'install-exec-am'.
 /bin/mkdir -p '/home/ttn/t/share/info'
 /usr/bin/install -c -m 644 ./prebuilt/texinfo/taler-merchant-api-tutorial.info ./prebuilt/texinfo/taler-merchant.info '/home/ttn/t/share/info'
 install-info --info-dir='/home/ttn/t/share/info' '/home/ttn/t/share/info/taler-merchant-api-tutorial.info'
 install-info --info-dir='/home/ttn/t/share/info' '/home/ttn/t/share/info/taler-merchant.info'
 /bin/mkdir -p '/home/ttn/t/share/man/man1'
 /usr/bin/install -c -m 644 prebuilt/man/taler-merchant-dbinit.1 prebuilt/man/taler-merchant-httpd.1 prebuilt/man/taler-merchant-setup-reserve.1 prebuilt/man/taler-merchant-benchmark.1 '/home/ttn/t/share/man/man1'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/doc'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/doc'
Making install in doxygen
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/doc/doxygen'
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/doc/doxygen'
make[3]: Nothing to be done for 'install-exec-am'.
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/doc/doxygen'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/doc/doxygen'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/doc'

Compilation finished at Fri May 28 07:37:44
.ttn.merchant-make-install.log (17,720 bytes)   

Christian Grothoff

2021-05-29 23:01

manager   ~0017934

Should be fixed in 9b2eae57e379402c05c5bce4db7d2cb7405dfbf9

Issue History

Date Modified Username Field Change
2021-05-26 21:34 sebasjm New Issue
2021-05-26 21:34 sebasjm Status new => assigned
2021-05-26 21:34 sebasjm Assigned To => Christian Grothoff
2021-05-27 12:15 Christian Grothoff Note Added: 0017916
2021-05-27 12:21 Christian Grothoff Note Added: 0017917
2021-05-27 12:21 Christian Grothoff Status assigned => resolved
2021-05-27 12:21 Christian Grothoff Resolution open => fixed
2021-05-27 12:21 Christian Grothoff Fixed in Version => 0.9
2021-05-27 12:22 Christian Grothoff Target Version git (master) => 0.9
2021-05-27 21:06 ttn Status resolved => feedback
2021-05-27 21:06 ttn Resolution fixed => reopened
2021-05-27 21:06 ttn Note Added: 0017922
2021-05-27 21:07 ttn Note Added: 0017923
2021-05-27 21:07 ttn File Added: .ttn.merchant-make-check.log
2021-05-27 21:10 ttn Note Added: 0017924
2021-05-27 23:00 Christian Grothoff Note Added: 0017925
2021-05-28 07:46 ttn Note Added: 0017926
2021-05-28 07:46 ttn File Added: .ttn.merchant-make-check-2.log
2021-05-28 07:46 ttn File Added: test-suite.log
2021-05-28 09:35 Christian Grothoff Note Added: 0017927
2021-05-28 10:35 ttn Note Added: 0017928
2021-05-28 10:35 ttn File Added: .ttn.merchant-make-install.log
2021-05-29 23:01 Christian Grothoff Note Added: 0017934
2021-05-29 23:01 Christian Grothoff Status feedback => resolved
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed